---
schema_version: "1"
id: 7ef20b4dd89a2a693f5fb2fa2424af1eb526fa026c0d0500513640afc908c990
title: Managing Public Portal Resources
collection: mulesoft
version: current
locale: en-us
portal_url: https://docs.salesforce.com/mulesoft/current/en-us/exchange/to-manage-public-portal-resources.md
canonical_url: https://docs.mulesoft.com/exchange/to-manage-public-portal-resources
source_site: docs.mulesoft.com
content_type: documentation
content_hash: e1833c95f0f9d37223ce19f7957349a86eb5ebf2f3da66082d078e42cce736c1
description: MuleSoft Documentation Site
latest: true
---
---
product: Exchange
---

# Managing Public Portal Resources

> For the full documentation index, see: https://docs.mulesoft.com/llms.txt

You can upload up to 100 resources to a public portal. Each image is one resource. Attempting to add
more will result in an error. You can delete resources to reduce the number and then add more up to
the limit.

These examples show how to list, retrieve, and delete resources from a public portal with the
Exchange Experience API.

## Authentication

Log in to Anypoint Platform and get an authentication token. Begin every request with the header
`Authorization: bearer ACCESS_TOKEN`.

```console
ACCESS_TOKEN=$(curl https://anypoint.mulesoft.com/accounts/login \
-XPOST -d "username=YOUR_USERNAME&password=YOUR_PASSWORD" | \
jq -r ".access_token")
```

## Using the API

To list all resources:

```console
 curl https://anypoint.mulesoft.com/exchange/api/v2/portals/:organizationDomain/draft/resources \
  -H 'Authorization: bearer YOUR_ACCESS_TOKEN'
```

To get a specific resource:

```console
 curl https://anypoint.mulesoft.com/exchange/api/v2/portals/:organizationDomain/draft/resources/:resourceId \
  -H 'Authorization: bearer YOUR_ACCESS_TOKEN'
```

To delete a specific resource:

```console
 curl -X DELETE \
  https://anypoint.mulesoft.com/exchange/api/v2/portals/:organizationDomain/draft/resources/:resourceId \
  -H 'Authorization: bearer YOUR_ACCESS_TOKEN'
```

With:

organizationDomain: Your organization's domain resourceId: The image file name.
